Search found 1104 matches

Go to advanced search

by Chris_G
Mon Oct 14, 2019 8:46 pm
Forum: Open discussion
Topic: Curves workbench
Replies: 451
Views: 41450

Re: Curves workbench

I pushed another fix.
I hope it is good now.
by Chris_G
Sun Oct 13, 2019 5:45 pm
Forum: Developers corner
Topic: Object at Screen Position
Replies: 3
Views: 125

Re: Object at Screen Position

wandererfan wrote:
Sun Oct 13, 2019 5:00 pm
Merci monsieur!
:D
by Chris_G
Sun Oct 13, 2019 4:24 pm
Forum: Developers corner
Topic: Object at Screen Position
Replies: 3
Views: 125

Re: Object at Screen Position

Code: Select all

pos = Gui.ActiveDocument.ActiveView.getCursorPos()
Gui.ActiveDocument.ActiveView.getObjectInfo(pos)
returns something like :

Code: Select all

{'x': -0.8382894992, 'y': 0.164370581, 'z': 0.0, 'Document': 'Unnamed', 'Object': 'Extrude', 'Component': 'Face1'}
by Chris_G
Sun Oct 13, 2019 4:14 pm
Forum: Open discussion
Topic: Curves workbench
Replies: 451
Views: 41450

Re: Curves workbench

Thanks. Fixed.
by Chris_G
Sun Oct 13, 2019 12:59 pm
Forum: Open discussion
Topic: Curves workbench
Replies: 451
Views: 41450

Re: Curves workbench

Fixed. Thank you.
by Chris_G
Tue Oct 08, 2019 8:44 pm
Forum: Open discussion
Topic: Curves workbench
Replies: 451
Views: 41450

Re: Curves workbench

Indeed.
That one is pretty interesting. I'll have a look tomorrow.
by Chris_G
Tue Oct 08, 2019 1:34 pm
Forum: Open discussion
Topic: Curves workbench
Replies: 451
Views: 41450

Re: Curves workbench

GlouGlou wrote:
Mon Oct 07, 2019 5:55 pm
Strange behaviour: split curve and extend curve move their Z and Y position with this sketch. :?
It should be fixed now.
by Chris_G
Tue Oct 08, 2019 7:00 am
Forum: Open discussion
Topic: Curves workbench
Replies: 451
Views: 41450

Re: Curves workbench

Strange behaviour: split curve and extend curve move their Z and Y position with this sketch. :? Placement bug again, probably. I'll have a look. I've tried, but my problem still doesn't seem to be solved. I'm using version 0.18 Gordon surface does some curve approximation at the beginning of its p...
by Chris_G
Mon Sep 30, 2019 12:24 pm
Forum: Python scripting and macros
Topic: How to convert a bspline to a part [Solved]
Replies: 13
Views: 383

Re: How to convert a bspline to a part

iplayfast wrote:
Mon Sep 30, 2019 5:26 am
and I get a cycloidal gear. BUT it's just a line. I need to make it a plane and then pad it.
But once it's made I can't seem to do anything with it.
This should build the solid :

Code: Select all

w = Part.Wire([a])
f = Part.Face(w)
e = f.extrude(FreeCAD.Vector(0,0,2))
Part.show(e)
by Chris_G
Sun Sep 29, 2019 6:16 pm
Forum: Open discussion
Topic: Curves workbench
Replies: 451
Views: 41450

Re: Curves workbench

Numbers without unit are real parameters (not sure it is really useful)
Or you can use % and mm
Negative values are allowed, and are calculated from the end of the curve.

Go to advanced search